Warning: Illegal string offset 'license' in /hostingdata/www/vhosts/afrowebservers.com/httpdocs/afrowebprobilling/modules/addons/flattheme/flattheme.php on line 30 Announcements - Afrowebservers

Afrowebservers

Wednesday, April 9, 2014

Earlier this week, security researchers publicly released one of the most significant security vulnerabilities of recent history. Dubbed the “Heartbleed” bug, the impacts of this vulnerability are far reaching and affect everyone. In summary, the vulnerability allows an attacker to steal the encryption key off of vulnerable servers, computers, and devices that is used to provide secured tunnel between your computer/device and the server you are establishing connection to. If exploited, an attacker would be able to obtain your passwords and view sensitive information such as banking or healthcare data. Everything from your online banking website, to your mobile device, to your home wireless router may be vulnerable. Even worse is that working exploit code has also been released to the public for any and all to download and use to attack vulnerable systems.Here at Afrowebservers, Our Systems Administrators have ensured that Afrowebservers is protected from exploitation. We will advise that you change your control panel password in case the password has already been compromised

 

How to Protect Yourself:

 It is extremely important that you ensure that your personal computers and other devices have the latest security patches. Many vendors have already released patches for their products but some are still working on the fixes. As soon as you see updates for your devices, computers and applications, it is highly recommended that you apply the patches as soon as possible. Additionally, due to the fact that passwords can be stolen extremely easily, be sure to use a different passwords for your accounts, especially those which are sensitive such as email and online banking accounts. This is one of the few cases in which a strong password will not help protect you.

 

Additional Info and resources:

•             Major Websites that were vulnerable and if you need to change your password there: http://mashable.com/2014/04/09/heartbleed-bug-websites-affected/#:eyJzIjoiZiIsImkiOiJfdXNxaTkxdTVyNTBxdnlsMCJ9

•             More info regarding the Heartbleed vulnerability can be found here: www.heartbleed.com

•             Test websites you visited to determine if they are vulnerable: http://filippo.io/Heartbleed/

 

Please feel free to contact us with any questions or concerns you may have.

« Back

Language: